<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="degreeInfos"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="degreeInfos?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getDegreeInfos()"
    nzSize="small"
  >
    <thead>
    <tr>
      <th scope="col" class="text-nowrap" nzWidth="80px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.degreeType' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.eduSchool' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.level' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.specialized' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.table.graduationGrade' | translate}}</th>
      <th scope="col" class="text-nowrap" nzRight="120px">{{'selfService.table.status' | translate}}</th>
      <th scope="col" nzWidth="120px" nzRight="0px" class="text-nowrap">{{'selfService.table.operation' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td class="text-nowrap">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.degreeTypeName }}</td>
      <td class="text-nowrap">{{ data?.schoolName}}</td>
      <td class="text-nowrap">{{ data?.majorLevelName}}</td>
      <td class="text-nowrap">{{ data?.facultyName }}</td>
      <td class="text-nowrap">{{ data?.eduRankName }}</td>
      <td class="text-nowrap" nzRight="120px">
        <nz-tag nzColor="{{data.inputType | statusPipe: listStatus: 'key': 'color' }}">{{data.inputType | statusPipe: listStatus}}</nz-tag>
      </td>
      <td nzWidth="120px" nzRight="0px" class="text-nowrap">
        <mb-button *ngIf="!data.draftEducationDegreeId" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
                   (click)="showModalUpdate(data, footerTmpl)"></mb-button>
        <mb-button *ngIf="!data.draftEducationDegreeId" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                   nzPopconfirmTitle="{{'selfService.table.action.confirmDelete' | translate}}"
                   nzCancelText="{{'selfService.table.action.cancel2' | translate}}"
                   nzOkType="primary"
                   nzOkText="{{'selfService.table.action.yes' | translate}}"
                   (nzOnConfirm)="deleteItem(data)"
                   nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
        <mb-button *ngIf="data.draftEducationDegreeId" mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                   nzPopconfirmTitle="{{'selfService.table.action.confirmUndo' | translate}}"
                   nzCancelText="{{'selfService.table.action.cancel2' | translate}}"
                   nzOkType="primary"
                   nzOkText="{{'selfService.table.action.yes' | translate}}"
                   (nzOnConfirm)="rollBack(data.draftEducationDegreeId)"
                   nzPopconfirmPlacement="top" mbPrefixIcon="far fa-undo"></mb-button>
      </td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
